es.gob.fnmt.net

## Class DroidHttpClient.MultipartData

- java.lang.Object
- - es.gob.fnmt.net.DroidHttpClient.MultipartData

- Enclosing class:
    DroidHttpClient

      public static class DroidHttpClient.MultipartData
      extends java.lang.Object

  Class that manage multipart data for 'post' method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPart(java.lang.String paramName, java.io.File file)` Add file type parameter.
    `void` | `addPart(java.lang.String paramName, java.lang.String paramValue)` Add string type parameter.
    `void` | `end()` Finalize the encode operation.
    `HttpEntity` | `getEntity()` Build an entity object to send in the request.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartData

          public MultipartData()

  - ### Method Detail

    - #### addPart

          public void addPart(java.lang.String paramName,
                              java.io.File file)
                       throws java.io.IOException

      Add file type parameter.
      Parameters:
        `paramName` -
        `file` - file parameter to send.
      Throws:
        `java.io.IOException`

    - #### addPart

          public void addPart(java.lang.String paramName,
                              java.lang.String paramValue)
                       throws java.io.IOException

      Add string type parameter.
      Parameters:
        `paramName` -
        `paramValue` -
      Throws:
        `java.io.IOException`

    - #### end

          public void end()
                   throws java.io.IOException

      Finalize the encode operation.
      Throws:
        `java.io.IOException`

    - #### getEntity

          public HttpEntity getEntity()
                               throws java.io.IOException

      Build an entity object to send in the request.
      Returns:
        entity object.
      Throws:
        `java.io.IOException`